//---------------------------------------------------------------------------
static HardwareSerial* pSerial;
//---------------------------------------------------------------------------
boolean WIRELESS_SERIAL_Init(HardwareSerial* _pSerial, const unsigned long baud, const int8_t rxPin, const int8_t txPin)
{
	//初始化Serial
	pSerial = _pSerial;
	pSerial->begin(baud, SERIAL_8N1, rxPin, txPin);

	//判断是否连接
	unsigned long nLastTime = millis();
	while ((! (*pSerial)) && (millis() - nLastTime < 10000)) delay(100);
	return *pSerial;
}
//---------------------------------------------------------------------------
String WIRELESS_SERIAL_Receive()
{
	String strReceive = "";
	if (pSerial->available()) strReceive = pSerial->readStringUntil('\n');
	return strReceive;
}
//---------------------------------------------------------------------------
void WIRELESS_SERIAL_Send(String strSend)
{
	if (*pSerial)
	{
		strSend += "\n";
		pSerial->print(strSend);
	}
}
//---------------------------------------------------------------------------
