//---------------------------------------------------------------------------
#include <BluetoothSerial.h>
//---------------------------------------------------------------------------
#define BT_SERIAL_Name "ESP32_BT_SERIAL"
//---------------------------------------------------------------------------
BluetoothSerial BTSerial;
//---------------------------------------------------------------------------
bool BT_SERIAL_Init()
{
	//初始化BT设备
	if (BTSerial.begin(BT_SERIAL_Name))
	{
		Serial.print("BT SERIAL Name: ");
		Serial.println(BT_SERIAL_Name);
		return true;
	}
	else
	{
		Serial.println("BT SERIAL begin failure");
		return false;
	}
}
//---------------------------------------------------------------------------
String BT_SERIAL_Receive()
{
	String strReceive = "";

	if (BTSerial.hasClient())
	{
		static String BTReceive = "";
		while (BTSerial.available()) BTReceive += (char)BTSerial.read();

		int nIndex = BTReceive.indexOf("\n");
		if (nIndex >= 0)
		{
			strReceive = BTReceive.substring(0, nIndex);
			BTReceive = BTReceive.substring(nIndex + 1, BTReceive.length());
		}
	}

	return strReceive;
}
//---------------------------------------------------------------------------
void BT_SERIAL_Send(String strSend)
{
	if (BTSerial.hasClient())
	{
		strSend += "\n";
		BTSerial.write((uint8_t*)strSend.c_str(), strSend.length());
	}
}
//---------------------------------------------------------------------------
