//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#define USE_WIFI
//#define USE_SERIAL
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
#include <IdBaseComponent.hpp>
#include <IdComponent.hpp>
#include <IdTCPConnection.hpp>
#include <IdTCPClient.hpp>
//---------------------------------------------------------------------------
#include <OleCtrls.hpp>
#include "MSCommLib_OCX.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TIdTCPClient *TCPClient;
	TMSComm *MSComm;
	TTimer *Timer;

	TButton *BtnReconnect;

	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;

	TEdit *EditIP;
	TEdit *EditPort;
	TEdit *EditSend;

	TMemo *MemoReceive;

	TLabel *Label24;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label9;
	TLabel *Label26;
	TLabel *Label27;
	TLabel *Label28;
	TLabel *Label22;
	TLabel *Label10;
	TLabel *Label21;
	TLabel *Label11;
	TLabel *Label12;
	TLabel *Label13;
	TLabel *Label14;
	TLabel *Label34;
	TLabel *Label37;

	TEdit *Edit00;
	TEdit *Edit01;
	TEdit *Edit02;
	TEdit *Edit03;
	TEdit *Edit04;
	TEdit *Edit05;
	TEdit *Edit06;
	TEdit *Edit07;
	TEdit *Edit08;
	TEdit *Edit09;
	TEdit *Edit10;
	TEdit *Edit11;
	TEdit *Edit12;
	TEdit *Edit13;
	TEdit *Edit14;
	TEdit *Edit15;
	TEdit *Edit16;
	TEdit *Edit17;
	TEdit *Edit81;

	TButton *BtnStop;
	TButton *BtnForward;
	TButton *BtnBackward;
	TButton *BtnTurnLeft;
	TButton *BtnTurnRight;

	TPanel *PanelMouse;

	TLabel *Label15;
	TLabel *Label16;
	TLabel *Label17;
	TLabel *Label29;
	TLabel *Label40;
	TLabel *Label41;
	TLabel *Label42;
	TLabel *Label23;

	TEdit *Edit21;
	TEdit *Edit22;
	TEdit *Edit23;
	TEdit *Edit28;
	TEdit *Edit92;
	TEdit *Edit93;
	TEdit *Edit91;
	TEdit *Edit29;

	TLabel *Label25;
	TLabel *Label30;
	TLabel *Label31;
	TLabel *Label32;
	TLabel *Label33;
	TLabel *Label36;
	TLabel *Label18;
	TLabel *Label19;
	TLabel *Label20;

	TEdit *Edit31;
	TEdit *Edit32;
	TEdit *Edit33;
	TEdit *Edit34;
	TEdit *Edit35;
	TEdit *Edit36;
	TEdit *Edit41;
	TEdit *Edit42;
	TEdit *Edit43;
	TEdit *Edit44;
	TEdit *Edit45;
	TEdit *Edit46;
	TEdit *Edit51;
	TEdit *Edit52;
	TEdit *Edit53;
	TEdit *Edit54;
	TEdit *Edit55;
	TEdit *Edit56;

	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);

	void __fastcall MSCommComm(TObject *Sender);
	void __fastcall TimerTimer(TObject *Sender);

	void __fastcall BtnReconnectClick(TObject *Sender);
	void __fastcall EditSendKeyPress(TObject *Sender, char &Key);

	void __fastcall BtnStopClick(TObject *Sender);
	void __fastcall BtnStopKeyPress(TObject *Sender, char &Key);

	void __fastcall PanelMouseMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
	void __fastcall PanelMouseMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
	void __fastcall PanelMouseMouseUp(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);

	void __fastcall Edit21KeyPress(TObject *Sender, char &Key);

private:	// User declarations
	bool FboolMouseDown;
	AnsiString FstrCOMrx;

	void SetEditAlignRight(TEdit* Edit);

	void Ctrl_Connect();
	void Ctrl_Disconnect();
	bool Ctrl_Connected();
	bool Ctrl_Send(AnsiString strSend, bool boolAddMemo = true);
	AnsiString Ctrl_Receive();

public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif

